import { Address } from '@solana/addresses';
import { Signature } from '@solana/keys';
import type { Blockhash, UnixTimestamp } from '@solana/rpc-types';
import { Slot } from '../rpc-methods/common.js';
type VoteNotificationsApiNotification = Readonly<{
    hash: Blockhash;
    signature: Signature;
    slots: readonly Slot[];
    timestamp: UnixTimestamp | null;
    votePubkey: Address;
}>;
export interface VoteNotificationsApi {
    /**
     * Subscribe to receive a notification from the validator on a variety of updates on every slot
     */
    voteNotifications(NO_CONFIG?: Record<string, never>): VoteNotificationsApiNotification;
}
export {};
//# sourceMappingURL=vote-notifications.d.ts.map